## com.saxonica.update
Class PutAction

    java.lang.Object
      com.saxonica.update.PendingUpdateAction
          com.saxonica.update.PutAction

    public class PutAction

extends PendingUpdateAction

A saved put() call on the pending update list.

Field Summary
`static int` `PHASE`

Constructor Summary
`PutAction(NodeInfo node, String outputUri)`

Method Summary
`void` `apply(XPathContext context, Set affectedRootSet)` Apply the pending update action to the affected nodes
`int` `getApplyPhase()` Get the phase of operation in which this pending update action is applied.
`NodeInfo` `getTargetNode()` Get the target node of the update action

Methods inherited from class com.saxonica.update.PendingUpdateAction
`getOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE

    public static final int PHASE

See Also:
  Constant Field Values

Constructor Detail

### PutAction

    public PutAction(NodeInfo node,
                     String outputUri)

Method Detail

### apply

    public void apply(XPathContext context,
                      Set affectedRootSet)
               throws XPathException

  Apply the pending update action to the affected nodes

  Specified by:
    `apply` in class `PendingUpdateAction`
  Parameters:
    `context` - the XPath evaluation context
    `affectedRootSet` - the set of root nodes of trees that have been modified, which this action should add to as necessary
  Throws:
    `XPathException` - if any error occurs applying the update

### getTargetNode

    public NodeInfo getTargetNode()

  Get the target node of the update action

  Specified by:
    `getTargetNode` in class `PendingUpdateAction`
  Returns:
    the target node, the node to which this update action applies. Returns null in the case of a delete action, which affects multiple nodes.

### getApplyPhase

    public int getApplyPhase()

  Get the phase of operation in which this pending update action is applied. See 3.2.2 upd:applyUpdates, Semantics, rule 2.

  Specified by:
    `getApplyPhase` in class `PendingUpdateAction`
  Returns:
    the phase of operation, an integer in the range 1 to 5 representing the stages labelled a-e in the specification, or 6 for a PutAction.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.